package proxy.network;

import proxy.Proxy;

public class PacketThreadUtil {
	public static <T extends INetHandler> void checkThreadAndEnqueue(final Packet<T> packet, final T handler, Proxy proxy) throws ThreadQuickExitException {
		if(!proxy.isMainThread()) {
			proxy.schedule(new Runnable() {
				public void run() {
					packet.processPacket(handler);
				}
			});
			throw ThreadQuickExitException.INSTANCE;
		}
	}
}
