package proxy.packet.play.server;

import java.io.IOException;

import proxy.network.NetHandlerPlayServer;
import proxy.network.Packet;
import proxy.network.PacketBuffer;
import proxy.util.ChatColor;

public class S02PacketChat implements Packet<NetHandlerPlayServer>
{
    private String chatComponent;
    private byte type;

    public S02PacketChat()
    {
    }

    public S02PacketChat(String message)
    {
        this.chatComponent = ChatColor.toJsonString(message);
        this.type = 0;
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.chatComponent = buf.readChatComponent();
        this.type = buf.readByte();
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeChatComponent(this.chatComponent);
        buf.writeByte(this.type);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(NetHandlerPlayServer handler)
    {
        handler.handleChat(this);
    }
}
