package proxy.packet.status.server;

import java.io.IOException;

import proxy.network.NetHandlerStatusClient;
import proxy.network.Packet;
import proxy.network.PacketBuffer;
import proxy.util.ServerInfo;

public class S00PacketServerInfo implements Packet<NetHandlerStatusClient> {
	
	private String response;

	public S00PacketServerInfo() {
	}

	public S00PacketServerInfo(ServerInfo responseIn) {
		this.response = responseIn.serialize();
	}

	/**
	 * Reads the raw packet data from the data stream.
	 */
	public void readPacketData(PacketBuffer buf) throws IOException {
		this.response = buf.readStringFromBuffer(32767);
	}

	/**
	 * Writes the raw packet data to the data stream.
	 */
	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeString(this.response);
	}

	/**
	 * Passes this Packet on to the NetHandler for processing.
	 */
	public void processPacket(NetHandlerStatusClient handler) {
		handler.handleServerInfo(this);
	}
}
